Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet
Class ErrorPageErrorHandler

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.ErrorHandler
                  org.eclipse.jetty.servlet.ErrorPageErrorHandler

All Implemented Interfaces:
  Handler, LifeCycle

    public class ErrorPageErrorHandler

extends ErrorHandler

Error Page Error Handler An ErrorHandler that maps exceptions and status codes to URIs for dispatch using the internal ERROR style of dispatch.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`protected ServletContext` | `_servletContext`
`static java.lang.String` | `ERROR_PAGE`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`ErrorPageErrorHandler()`

Method Summary
`void` | `addErrorPage(java.lang.Class<? extends java.lang.Throwable> exception, java.lang.String uri)` Add Error Page mapping for an exception class This method is called as a result of an exception-type element in a web.xml file or may be called directly
`void` | `addErrorPage(int from, int to, java.lang.String uri)` Add Error Page mapping for a status code range.
`void` | `addErrorPage(int code, java.lang.String uri)` Add Error Page mapping for a status code.
`void` | `addErrorPage(java.lang.String exceptionClassName, java.lang.String uri)` Add Error Page mapping for an exception class This method is called as a result of an exception-type element in a web.xml file or may be called directly
`protected void` | `doStart()`
`protected void` | `doStop()`
`java.util.Map<java.lang.String,java.lang.String>` | `getErrorPages()`
`void` | `handle(java.lang.String target, Request baseRequest, HttpServletRequest request, HttpServletResponse response)` Handle a request.
`void` | `setErrorPages(java.util.Map<java.lang.String,java.lang.String> errorPages)`

Methods inherited from class org.eclipse.jetty.server.handler.ErrorHandler
`getCacheControl, handleErrorPage, isShowStacks, setCacheControl, setShowStacks, write, writeErrorPage, writeErrorPageBody, writeErrorPageHead, writeErrorPageMessage, writeErrorPageStacks`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, dump, dump, dump, getServer, setServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### ERROR_PAGE

    public static final java.lang.String ERROR_PAGE

See Also:
  Constant Field Values

### _servletContext

    protected ServletContext _servletContext

Constructor Detail

### ErrorPageErrorHandler

    public ErrorPageErrorHandler()

Method Detail

### handle

    public void handle(java.lang.String target,
                       Request baseRequest,
                       HttpServletRequest request,
                       HttpServletResponse response)
                throws java.io.IOException

  Description copied from interface: `Handler`
  Handle a request.

  Specified by:
    `handle` in interface `Handler`
  Overrides:
    `handle` in class `ErrorHandler`
  Parameters:
    `target` - The target of the request - either a URI or a name.
    `baseRequest` - The original unwrapped request object.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
  Throws:
    `java.io.IOException`
  See Also:
    `ErrorHandler.handle(String, Request, HttpServletRequest, HttpServletResponse)`

### getErrorPages

    public java.util.Map<java.lang.String,java.lang.String> getErrorPages()

  Returns:
    Returns the errorPages.

### setErrorPages

    public void setErrorPages(java.util.Map<java.lang.String,java.lang.String> errorPages)

  Parameters:
    `errorPages` - The errorPages to set. A map of Exception class name or error code as a string to URI string

### addErrorPage

    public void addErrorPage(java.lang.Class<? extends java.lang.Throwable> exception,
                             java.lang.String uri)

  Add Error Page mapping for an exception class This method is called as a result of an exception-type element in a web.xml file or may be called directly

  Parameters:
    `exception` - The exception
    `uri` - The URI of the error page.

### addErrorPage

    public void addErrorPage(java.lang.String exceptionClassName,
                             java.lang.String uri)

  Add Error Page mapping for an exception class This method is called as a result of an exception-type element in a web.xml file or may be called directly

  Parameters:
    `exception` - The exception
    `uri` - The URI of the error page.

### addErrorPage

    public void addErrorPage(int code,
                             java.lang.String uri)

  Add Error Page mapping for a status code. This method is called as a result of an error-code element in a web.xml file or may be called directly

  Parameters:
    `code` - The HTTP status code to match
    `uri` - The URI of the error page.

### addErrorPage

    public void addErrorPage(int from,
                             int to,
                             java.lang.String uri)

  Add Error Page mapping for a status code range. This method is not available from web.xml and must be called directly.

  Parameters:
    `from` - The lowest matching status code
    `to` - The highest matching status code
    `uri` - The URI of the error page.

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractHandler`
  Throws:
    `java.lang.Exception`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractHandler`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.